<!DOCTYPE html>
<html>
<head>
	<title>fsfs</title>
</head>
<link href="https://fonts.googleapis.com/css?family=Cedarville+Cursive&display=swap" rel="stylesheet">
<style type="text/css">
	body{
		margin:0;
		height:100vh;
		font-family: 'Cedarville Cursive', cursive;
		font-size: 2em;
	}
	.top-nav{
		position: fixed;
		width: 90vw;
		display: flex;
		justify-content: space-between;
		padding:0 5vw;
		align-items: center;
		height: 8vh;
		transition: .3s;
	}
	
	.nav-items{
		width:40%;
		justify-content: space-between;
		display: flex;
	}
	section{
		height:100vh;
		width: 100%;
	}
	.wl{
		background:url('./artsy.jpg') fixed center;
		background-size: contain;
		background-repeat: no-repeat;
		background-color:rgb(248 248 248);
	}
	.abt{
		background:powderblue;
		display: flex;
		justify-content: center;
		align-items: center;
	}
	.ser{
		background:url('./flora.jpg') fixed center;
		background-size: cover;
	}
		#scrollvalue{
		height:50px;
		width:150px;
		position: fixed;
		background:white;
		border:1px solid red;
		bottom:0;
		right:0;
		z-index: 99
	}
	#adele{
		animation:vitraAijay .3s;
		display: none;
		height:300px;
		width:300px;
		background:navy;
		color:white;
		padding:10px;
		text-align: center;
	}
	@keyframes vitraAijay{
		from{
			opacity: 0;
			transform: translateX(500px);
		}
		to{
			opacity: 1;
			transform: translateX(0px);
		}
	}
</style>
<body>
	<div id="scrollvalue"></div>	
	<div class="top-nav" id="topNav">
		<div class="logo">FLOWER</div>
		<div class="nav-items">
			<div class="navitem">Home</div>
			<div class="navitem">About</div>
			<div class="navitem">Services</div>
			<div class="navitem">Contacts</div>
		</div>
	</div>
	<section class="wl"></section>
	<section class="abt">
		<div id="adele">Hello ! can you hear me?</div>
	</section>
	<section class="ser"></section>
</body>
<script type="text/javascript">
	window.addEventListener('scroll', function(e){
		let scrollValue=window.pageYOffset;
		document.getElementById('scrollvalue').innerText=scrollValue;
		if (scrollValue>500){
			document.getElementById('topNav').style.backgroundColor= "rgba(0,0,0,0.7)";
			document.getElementById('topNav').style.color= "white";
			}
			else if(scrollValue>700){
			console.log('asdasd');
		}else{
	    document.getElementById('topNav').style.backgroundColor= "transparent";
		document.getElementById('topNav').style.color= "black";
		}
		if(scrollValue>500&&scrollValue<1300) 
			// ||
			document.getElementById('adele').style.display="block";
		else
			document.getElementById('adele').style.display="none";

	});
</script>
</html>